TTF_GetGlyphScript(3)

NAME
TTF_GetGlyphScript - Get the script used by a 32-bit codepoint.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

Uint32 TTF_GetGlyphScript(Uint32 ch);

FUNCTION PARAMETERS

ch  the character code to check.

RETURN VALUE
Returns an

on success, or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function is thread-safe.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_TagToString(3)